explain_eventfd_or_die(3)

NAME
explain_eventfd_or_die - create event notify file descriptor and report errors

SYNOPSIS
#include <libexplain/eventfd.h>

int explain_eventfd_or_die(unsigned int initval, int flags);
int explain_eventfd_on_error(unsigned int initval, int flags);

DESCRIPTION
The explain_eventfd_or_die function is used to call the eventfd(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_eventfd(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_eventfd_on_error function is used to call the eventfd(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_eventfd(3) function, but still returns to the caller.

initval
    The initval, exactly as to be passed to the eventfd(2) system call.

flags
    The flags, exactly as to be passed to the eventfd(2) system call.

RETURN VALUE
The explain_eventfd_or_die function only returns on success, see eventfd(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_eventfd_on_error function always returns the value return by the wrapped eventfd(2) system call.

EXAMPLE
The explain_eventfd_or_die function is intended to be used in a fashion similar to the following example:
    int result = explain_eventfd_or_die(initval, flags);

SEE ALSO

eventfd(2)
    create a file descriptor for event notification

explain_eventfd(3)
    explain eventfd(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller